<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:shop="http://typo3.org/ns/CodingMs/Shop/ViewHelpers">
	<f:section name="Default">

		<f:if condition="{f:count(subject: settings.filter.tagCategory.options)}">
			<div class="{settings.filter.css.class.tagCategorized.wrapper}">
				<f:for each="{settings.filter.tagCategory.options}" as="tagCategory">

					<f:comment>
						<shop:variable.set name="tagCategorySelected"
										   value="{shop:variable.get(name: 'settings.filter.tagCategory.values.{tagCategory.uid}', useRawKeys: 1)}" />
					</f:comment>

					<f:variable name="tagCategorySelected" value="" />
					<f:if condition="{settings.filter.tagCategory.values.{tagCategory.uid}} > 0">
						<f:variable name="tagCategorySelected" value="checked=\"checked\"" />
					</f:if>
					<div class="product-filter-tag-categorized {settings.filter.css.class.tagCategorized.categoryWrapper}">
						<div class="{settings.filter.css.class.tagCategorized.categoryWrapperInner}">
							<div class="{settings.filter.css.class.tagCategorized.categoryCheckboxWrapper}"
								 data-product-tag-category="{tagCategory.uid}"
								 title="{tagCategory.tooltipText}"
								 data-bs-title="{tagCategory.tooltipText}"
								 data-bs-toggle="tooltip"
								 data-bs-placement="top">
								<input type="checkbox"
									   name="tx_shop_products[tag-category][{tagCategory.uid}]"
									   value="{tagCategory.uid}"
									   id="product-category-{tagCategory.uid}"
									   class="{settings.filter.css.class.tagCategorized.categoryCheckbox}"
									   data-filter-concatenation="and"
									   {tagCategorySelected->f:format.raw()} />
								<label class="{settings.filter.css.class.tagCategorized.categoryLabel}"
									   for="product-category-{tagCategory.uid}">{tagCategory.title}</label>
							</div>
						</div>
						<div class="{settings.filter.css.class.tagCategorized.categoryTagsWrapper}">
							<f:for each="{settings.filter.tag.options}" as="tag">
								<f:if condition="{tagCategory} == {tag.category}">
									<f:variable name="tagSelected" value="" />
									<f:if condition="{settings.filter.tag.values.{tag.uid}} > 0">
										<f:variable name="tagSelected" value="checked=\"checked\"" />
									</f:if>
									<div class="{settings.filter.css.class.tagCategorized.tagCheckboxWrapper}"
										 data-product-tag="{tag.uid}"
										 title="{tag.tooltipText}"
										 data-bs-title="{tag.tooltipText}"
										 data-bs-toggle="tooltip"
										 data-bs-placement="top">
										<input type="checkbox"
											   name="tx_shop_products[tag][{tag.uid}]"
											   value="{tag.uid}"
											   id="product-tag-{tag.uid}"
											   class="{settings.filter.css.class.tagCategorized.tagCheckbox}"
											   data-filter-concatenation="or"
											   {tagSelected->f:format.raw()} />
										<label class="{settings.filter.css.class.tagCategorized.tagLabel}"
											   for="product-tag-{tag.uid}">{tag.title}</label>
									</div>
								</f:if>
							</f:for>
						</div>
					</div>
				</f:for>
			</div>
		</f:if>

	</f:section>
</div>
